Main Page Widgets Namespaces Book

# cursor.h File Reference

## Classes
class | Gdk::Cursor
| This represents a cursor. More...
## Namespaces
namespace | Gdk
namespace | Glib
## Enumerations
enum | Gdk::CursorType { Gdk::X_CURSOR = 0, Gdk::ARROW = 2, Gdk::BASED_ARROW_DOWN = 4, Gdk::BASED_ARROW_UP = 6, Gdk::BOAT = 8, Gdk::BOGOSITY = 10, Gdk::BOTTOM_LEFT_CORNER = 12, Gdk::BOTTOM_RIGHT_CORNER = 14, Gdk::BOTTOM_SIDE = 16, Gdk::BOTTOM_TEE = 18, Gdk::BOX_SPIRAL = 20, Gdk::CENTER_PTR = 22, Gdk::CIRCLE = 24, Gdk::CLOCK = 26, Gdk::COFFEE_MUG = 28, Gdk::CROSS = 30, Gdk::CROSS_REVERSE = 32, Gdk::CROSSHAIR = 34, Gdk::DIAMOND_CROSS = 36, Gdk::DOT = 38, Gdk::DOTBOX = 40, Gdk::DOUBLE_ARROW = 42, Gdk::DRAFT_LARGE = 44, Gdk::DRAFT_SMALL = 46, Gdk::DRAPED_BOX = 48, Gdk::EXCHANGE = 50, Gdk::FLEUR = 52, Gdk::GOBBLER = 54, Gdk::GUMBY = 56, Gdk::HAND1 = 58, Gdk::HAND2 = 60, Gdk::HEART = 62, Gdk::ICON = 64, Gdk::IRON_CROSS = 66, Gdk::LEFT_PTR = 68, Gdk::LEFT_SIDE = 70, Gdk::LEFT_TEE = 72, Gdk::LEFTBUTTON = 74, Gdk::LL_ANGLE = 76, Gdk::LR_ANGLE = 78, Gdk::MAN = 80, Gdk::MIDDLEBUTTON = 82, Gdk::MOUSE = 84, Gdk::PENCIL = 86, Gdk::PIRATE = 88, Gdk::PLUS = 90, Gdk::QUESTION_ARROW = 92, Gdk::RIGHT_PTR = 94, Gdk::RIGHT_SIDE = 96, Gdk::RIGHT_TEE = 98, Gdk::RIGHTBUTTON = 100, Gdk::RTL_LOGO = 102, Gdk::SAILBOAT = 104, Gdk::SB_DOWN_ARROW = 106, Gdk::SB_H_DOUBLE_ARROW = 108, Gdk::SB_LEFT_ARROW = 110, Gdk::SB_RIGHT_ARROW = 112, Gdk::SB_UP_ARROW = 114, Gdk::SB_V_DOUBLE_ARROW = 116, Gdk::SHUTTLE = 118, Gdk::SIZING = 120, Gdk::SPIDER = 122, Gdk::SPRAYCAN = 124, Gdk::STAR = 126, Gdk::TARGET = 128, Gdk::TCROSS = 130, Gdk::TOP_LEFT_ARROW = 132, Gdk::TOP_LEFT_CORNER = 134, Gdk::TOP_RIGHT_CORNER = 136, Gdk::TOP_SIDE = 138, Gdk::TOP_TEE = 140, Gdk::TREK = 142, Gdk::UL_ANGLE = 144, Gdk::UMBRELLA = 146, Gdk::UR_ANGLE = 148, Gdk::WATCH = 150, Gdk::XTERM = 152, Gdk::LAST_CURSOR = 153, Gdk::CURSOR_IS_PIXMAP = -1 }